org.apache.poi.hslf.record

## Class SlideAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.SlideAtom

- All Implemented Interfaces:
    GenericRecord

      public final class SlideAtom
      extends RecordAtom

  A Slide Atom (type 1007). Holds information on the parent Slide, what Master Slide it uses, what Notes is attached to it, that sort of thing. It also has a SSlideLayoutAtom embedded in it, but without the Atom header

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `USES_MASTER_SLIDE_ID`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SlideAtom()` Create a new SlideAtom, to go with a new Slide
    `protected` | `SlideAtom(byte[] source, int start, int len)` For the Slide Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFollowMasterBackground()`
    `boolean` | `getFollowMasterObjects()`
    `boolean` | `getFollowMasterScheme()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getMasterID()` Get the ID of the master slide used.
    `int` | `getNotesID()` Get the ID of the notes for this slide.
    `long` | `getRecordType()` We are of type 1007
    `SlideAtomLayout` | `getSSlideLayoutAtom()` Get the embedded SSlideLayoutAtom
    `void` | `setFollowMasterBackground(boolean flag)`
    `void` | `setFollowMasterObjects(boolean flag)`
    `void` | `setFollowMasterScheme(boolean flag)`
    `void` | `setMasterID(int id)` Change slide master.
    `void` | `setNotesID(int id)` Change the ID of the notes for this slide.
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USES_MASTER_SLIDE_ID

          public static final int USES_MASTER_SLIDE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SlideAtom

          protected SlideAtom(byte[] source,
                              int start,
                              int len)

      For the Slide Atom

    - #### SlideAtom

          public SlideAtom()

      Create a new SlideAtom, to go with a new Slide

  - ### Method Detail

    - #### getMasterID

          public int getMasterID()

      Get the ID of the master slide used. 0 if this is a master slide, otherwise -2147483648

    - #### setMasterID

          public void setMasterID(int id)

      Change slide master.

    - #### getNotesID

          public int getNotesID()

      Get the ID of the notes for this slide. 0 if doesn't have one

    - #### getSSlideLayoutAtom

          public SlideAtomLayout getSSlideLayoutAtom()

      Get the embedded SSlideLayoutAtom

    - #### setNotesID

          public void setNotesID(int id)

      Change the ID of the notes for this slide. 0 if it no longer has one

    - #### getFollowMasterObjects

          public boolean getFollowMasterObjects()

    - #### getFollowMasterScheme

          public boolean getFollowMasterScheme()

    - #### getFollowMasterBackground

          public boolean getFollowMasterBackground()

    - #### setFollowMasterObjects

          public void setFollowMasterObjects(boolean flag)

    - #### setFollowMasterScheme

          public void setFollowMasterScheme(boolean flag)

    - #### setFollowMasterBackground

          public void setFollowMasterBackground(boolean flag)

    - #### getRecordType

          public long getRecordType()

      We are of type 1007
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.